<form (ngSubmit)="onSubmit()">
  <div>
    <label for="fechaHora">Fecha y hora:</label>
    <input type="date" id="fechaHora" [(ngModel)]="cita.fechaHora" name="fechaHora" required />
  </div>
  <div>
    <label for="motivoCita">Motivo de la cita:</label>
    <input type="text" id="motivoCita" [(ngModel)]="cita.motivoCita" name="motivoCita" required />
  </div>
  <!-- Agrega más campos de entrada según sea necesario para `MedicoSDTO`, `PacienteSDTO` y `DiagnosticoSDTO[]` -->
  <button type="submit">Guardar cambios</button>
</form>
